package com.icomsys.main_vm.common.code.enumresource;

import lombok.Getter;

import java.util.Arrays;
import java.util.List;

@Getter
public enum PolicyResource {
    rootRead(MenuResource.root, "대쉬보드읽기권한", "Y", 1, Arrays.asList()),
    rcpconversationRead(MenuResource.rcpconversation, "대화관리읽기권한", "Y", 1, Arrays.asList()),
    rcpconversationintentmanageRead(MenuResource.rcpconversationintentmanage, "인텐트관리읽기권한", "Y", 1, Arrays.asList()),
    rcpconversationscenariomanageRead(MenuResource.rcpconversationscenariomanage, "시나리오관리읽기권한", "Y", 1, Arrays.asList()),
    rcpconversationsynonymmanageRead(MenuResource.rcpconversationsynonymmanage, "동의어관리읽기권한", "Y", 1, Arrays.asList()),
    rcpconversationsystemEntitymanageRead(MenuResource.rcpconversationsystemEntitymanage, "시스템엔티티읽기권한", "Y", 1, Arrays.asList()),
    rcpconversationapiNodemanageRead(MenuResource.rcpconversationapiNodemanage, "API노드관리읽기권한", "Y", 1, Arrays.asList()),
    rcpconversationcmmNodemanageRead(MenuResource.rcpconversationcmmNodemanage, "COMMON노드관리읽기권한", "Y", 1, Arrays.asList()),

    rcplearningTestRead(MenuResource.rcplearningTest, "학습및테스트읽기권한", "Y", 1, Arrays.asList()),
    rcplearningTestsimulatormanageRead(MenuResource.rcplearningTestsimulatormanage, "시뮬레이터읽기권한", "Y", 1, Arrays.asList()),
    rcplearningTestinferencemanageRead(MenuResource.rcplearningTestinferencemanage, "의도추론 테스트읽기권한", "Y", 1, Arrays.asList()),
    rcplearningTeststttestmanageRead(MenuResource.rcplearningTeststttestmanage, "STT 테스트읽기권한", "Y", 1, Arrays.asList()),
    rcplearningTestttstestmanageRead(MenuResource.rcplearningTestttstestmanage, "TTS 테스트읽기권한", "Y", 1, Arrays.asList()),
    rcpmonitoringRead(MenuResource.rcpmonitoring, "모니터링읽기권한", "Y", 1, Arrays.asList()),
    rcpmonitoringconsultingmanageRead(MenuResource.rcpmonitoringconsultingmanage, "상담이력관리읽기권한", "Y", 1, Arrays.asList()),
    rcpmonitoringconversationMarkmanageRead(MenuResource.rcpmonitoringconversationMarkmanage, "대화책갈피관리읽기권한", "Y", 1, Arrays.asList()),
    rcpmonitoringintentAnalysismanageRead(MenuResource.rcpmonitoringintentAnalysismanage, "인텐트분석관리읽기권한", "Y", 1, Arrays.asList()),
    rcpmonitoringoutscenariomanageRead(MenuResource.rcpmonitoringoutscenariomanage, "시나리오이탈노드관리읽기권한", "Y", 1, Arrays.asList()),
    rcpmonitoringworkhistorymanageRead(MenuResource.rcpmonitoringworkhistorymanage, "작업이력조회읽기권한", "Y", 1, Arrays.asList()),
    rcpmonitoringaienginemanageRead(MenuResource.rcpmonitoringaienginemanage, "AI엔진 트래픽모니터링읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsRead(MenuResource.rcpstatistics, "통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsintentRead(MenuResource.rcpstatisticsintent, "인텐트통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsintentdaymanageRead(MenuResource.rcpstatisticsintentdaymanage, "날짜별통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsintentitemmanageRead(MenuResource.rcpstatisticsintentitemmanage, "항목별통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsscenarioRead(MenuResource.rcpstatisticsscenario, "시나리오통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsscenariodaymanageRead(MenuResource.rcpstatisticsscenariodaymanage, "날짜별통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsscenarioitemmanageRead(MenuResource.rcpstatisticsscenarioitemmanage, "항목별통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticscallRead(MenuResource.rcpstatisticscall, "콜통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticscallinfomanageRead(MenuResource.rcpstatisticscallinfomanage, "콜통계읽기권한", "Y", 1, Arrays.asList()),
    rcpstatisticsaienginemanageRead(MenuResource.rcpstatisticsaienginemanage, "AI엔진통계읽기권한", "Y", 1, Arrays.asList()),
    rcpoprmanageRead(MenuResource.rcpoprmanage, "운영관리읽기권한", "Y", 1, Arrays.asList()),
    rcpoprmanagenlpSettingmanageRead(MenuResource.rcpoprmanagenlpSettingmanage, "NLP설정읽기권한", "Y", 1, Arrays.asList()),
    rcpoprmanagebgmmanageRead(MenuResource.rcpoprmanagebgmmanage, "배경음관리읽기권한", "Y", 1, Arrays.asList()),
    rcpoprmanagettstagmanageRead(MenuResource.rcpoprmanagettstagmanage, "TTS태그관리읽기권한", "Y", 1, Arrays.asList()),


    gudguideRead(MenuResource.gudguide,"상담가이드읽기권한","Y",1,Arrays.asList()),
    gudguideconsultationRealtimemanageRead(MenuResource.gudguideconsultationRealtimemanage,"실시간상담읽기권한","Y",1,Arrays.asList()),
    gudguideadminMonitoringmanageRead(MenuResource.gudguideadminMonitoringmanage,"관리자모니터링읽기권한","Y",1,Arrays.asList()),
    gudguidehistoryRead(MenuResource.gudguidehistory,"상담이력관리읽기권한","Y",1,Arrays.asList()),
    gudguidehistoryscrchmanageRead(MenuResource.gudguidehistoryscrchmanage,"상담이력조회읽기권한","Y",1,Arrays.asList()),
    gudguidehistoryoutboxmanageRead(MenuResource.gudguidehistoryoutboxmanage,"상담이력전송함읽기권한","Y",1,Arrays.asList()),
    gudguidehistoryinboxmanageRead(MenuResource.gudguidehistoryinboxmanage,"상담이력수신함읽기권한","Y",1,Arrays.asList()),
    gudguidecontentsRead(MenuResource.gudguidecontents,"상담컨텐츠읽기권한","Y",1,Arrays.asList()),
    gudguidecontentslistmanageRead(MenuResource.gudguidecontentslistmanage,"상담가이드조회읽기권한","Y",1,Arrays.asList()),
    gudguidecontentsmanagermanageRead(MenuResource.gudguidecontentsmanagermanage,"상담가이드관리읽기권한","Y",1,Arrays.asList()),
    gudguidecontentscontentsAssessmentmanageRead(MenuResource.gudguidecontentscontentsAssessmentmanage,"상담가이드평가읽기권한","Y",1,Arrays.asList()),
    gudguidecontentscontentsAssessmentHistorymanageRead(MenuResource.gudguidecontentscontentsAssessmentHistorymanage,"상담가이드평가이력읽기권한","Y",1,Arrays.asList()),
    gudguideaiRead(MenuResource.gudguideai,"NLP연동읽기권한","Y",1,Arrays.asList()),
    gudguideainluIntentListmanageRead(MenuResource.gudguideainluIntentListmanage,"대화의도읽기권한","Y",1,Arrays.asList()),
    gudguideainluEntityListmanageRead(MenuResource.gudguideainluEntityListmanage,"엔티티읽기권한","Y",1,Arrays.asList()),
    gudguideainluLogmanageRead(MenuResource.gudguideainluLogmanage,"대화의도이력읽기권한","Y",1,Arrays.asList()),
    gudguideainluTrainingmanageRead(MenuResource.gudguideainluTrainingmanage,"기계학습읽기권한","Y",1,Arrays.asList()),
    gudguideainluIntenttestmanageRead(MenuResource.gudguideainluIntenttestmanage,"대화의도테스트읽기권한","Y",1,Arrays.asList()),
    gudguideaisynonymListmanageRead(MenuResource.gudguideaisynonymListmanage,"고유용어사전읽기권한","Y",1,Arrays.asList()),
    gudguideainluRecommendedLearningmanageRead(MenuResource.gudguideainluRecommendedLearningmanage,"학습추천읽기권한","Y",1,Arrays.asList()),

    addraddrbotRead(MenuResource.addraddrbot,"주소봇읽기권한","Y",1,Arrays.asList()),
    addraddrbotmanageAddrSectionmanageRead(MenuResource.addraddrbotmanageAddrSectionmanage,"지명유사어관리읽기권한","Y",1,Arrays.asList()),
    addraddrbotmanageBuildNamemanageRead(MenuResource.addraddrbotmanageBuildNamemanage,"빌딩유사어관리읽기권한","Y",1,Arrays.asList()),
    addraddrbotmanageSynonymmanageRead(MenuResource.addraddrbotmanageSynonymmanage,"유의어전처리관리읽기권한","Y",1,Arrays.asList()),
    addraddrbotmanageBuildTypemanageRead(MenuResource.addraddrbotmanageBuildTypemanage,"발화건물유형관리읽기권한","Y",1,Arrays.asList()),
    addraddrbotmanageJusoUploadmanageRead(MenuResource.addraddrbotmanageJusoUploadmanage,"주소월별업데이트읽기권한","Y",1,Arrays.asList()),
    addraddrbotmanageAddrProcessmanageRead(MenuResource.addraddrbotmanageAddrProcessmanage,"주소봇처리내역읽기권한","Y",1,Arrays.asList()),
    addraddrbotaddrRealtimeListmanageRead(MenuResource.addraddrbotaddrRealtimeListmanage,"실시간처리리스트읽기권한","Y",1,Arrays.asList()),

    botcomRead(MenuResource.botcom,"BOT공통관리읽기권한","Y",1,Arrays.asList()),
    botcommanageMentmanageRead(MenuResource.botcommanageMentmanage,"멘트관리읽기권한","Y",1,Arrays.asList()),
    botcommanageRead(MenuResource.botcommanage,"서비스별관리읽기권한","Y",1,Arrays.asList()),
    botcommanagemanageGreetMentmanageRead(MenuResource.botcommanagemanageGreetMentmanage,"요일시간대별멘트관리읽기권한","Y",1,Arrays.asList()),
    botcommanagemanageHolidaymanageRead(MenuResource.botcommanagemanageHolidaymanage,"휴무일관리읽기권한","Y",1,Arrays.asList()),
    botcommanagemanageNaturalmanageRead(MenuResource.botcommanagemanageNaturalmanage,"자연어전처리관리읽기권한","Y",1,Arrays.asList()),

    rcpv1Read(MenuResource.rcpv1,"무인접수BOT읽기권한","Y",1,Arrays.asList()),
    rcpv1receiptListmanageRead(MenuResource.rcpv1receiptListmanage,"접수리스트읽기권한","Y",1,Arrays.asList()),
    rcpv1receiptRealtimeListmanageRead(MenuResource.rcpv1receiptRealtimeListmanage,"시릿간모니터링읽기권한","Y",1,Arrays.asList()),
    rcpv1receiptOutRealtimeListmanageRead(MenuResource.rcpv1receiptOutRealtimeListmanage,"아웃바운드모니터링읽기권한","Y",1,Arrays.asList()),
    rcpv1rcpReportmanageRead(MenuResource.rcpv1rcpReportmanage,"일자별통계읽기권한","Y",1,Arrays.asList()),
    rcpv1rcpTimeReportmanageRead(MenuResource.rcpv1rcpTimeReportmanage,"시간대별통계읽기권한","Y",1,Arrays.asList()),

    vdoRead(MenuResource.vdo,"영상상담읽기권한","Y",1,Arrays.asList()),
    vdoincomingManageCategorymanageRead(MenuResource.vdoincomingManageCategorymanage,"컨텐츠등록관리읽기권한","Y",1,Arrays.asList()),
    vdoincomingCounselingListmanageRead(MenuResource.vdoincomingCounselingListmanage,"영상상담읽기권한","Y",1,Arrays.asList()),
    vdoincomingCounselingHistorymanageRead(MenuResource.vdoincomingCounselingHistorymanage,"상담이력조회읽기권한","Y",1,Arrays.asList()),
    vdoincomingMvReportmanageRead(MenuResource.vdoincomingMvReportmanage,"사용통계읽기권한","Y",1,Arrays.asList()),

    botmoniRead(MenuResource.botmoni,"봇모니터링(확대형)읽기권한","Y",1,Arrays.asList()),
    botmoniaddrRealtimeListExpansionmanageRead(MenuResource.botmoniaddrRealtimeListExpansionmanage,"주소봇실시간처리리스트읽기권한","Y",1,Arrays.asList()),
    botmonireceiptRealtimeListExpansionmanageRead(MenuResource.botmonireceiptRealtimeListExpansionmanage,"무인접수봇실시간모니터링읽기권한","Y",1,Arrays.asList()),
    botmoniguideRealtimeListExpansionmanageRead(MenuResource.botmoniguideRealtimeListExpansionmanage,"상담가이드실시간모니터링읽기권한","Y",1,Arrays.asList()),





    commonsystemRead(MenuResource.commonsystem, "시스템관리읽기권한", "Y", 10000, Arrays.asList()),

    //    commonsystempolicyMenumanageRead(MenuResource.commonsystempolicyMenumanage, "정책별 메뉴 조회읽기권한", "Y", 1000000, Arrays.asList()),
    commonsystemcustmanageRead(MenuResource.commonsystemcustmanage, "고객사 관리읽기권한", "Y", 1000000, Arrays.asList()),
    commonsystemserviceGroupmanageRead(MenuResource.commonsystemserviceGroupmanage, "서비스그룹 관리읽기권한", "Y", 1000000, Arrays.asList()),
    commonsystemgroupAuthmanageRead(MenuResource.commonsystemgroupAuthmanage, "그룹별 권한관리읽기권한", "Y", 10000, Arrays.asList()),
    commonsystemuserAdminmanageRead(MenuResource.commonsystemuserAdminmanage, "운영자 관리읽기권한", "Y", 1000000, Arrays.asList()),
    commonsystemusermanageRead(MenuResource.commonsystemusermanage, "사용자 관리읽기권한", "Y", 10000, Arrays.asList()),
    commonsystemoprmngcodemanageRead(MenuResource.commonsystemoprmngcodemanage, "공통코드 관리읽기권한", "Y", 10000, Arrays.asList()),


    rcpconversationintentmanageFull(MenuResource.rcpconversationintentmanage, "인텐트관리전체권한", "Y", 1, Arrays.asList()),
    rcpconversationscenariomanageFull(MenuResource.rcpconversationscenariomanage, "시나리오관리전체권한", "Y", 1, Arrays.asList()),
    rcpconversationsynonymmanageFull(MenuResource.rcpconversationsynonymmanage, "동의어관리전체권한", "Y", 1, Arrays.asList()),
    rcpconversationsystemEntitymanageFull(MenuResource.rcpconversationsystemEntitymanage, "시스템엔티티전체권한", "Y", 1, Arrays.asList()),
    rcpconversationapiNodemanageFull(MenuResource.rcpconversationapiNodemanage, "API노드관리전체권한", "Y", 1, Arrays.asList()),
    rcpconversationcmmNodemanageFull(MenuResource.rcpconversationcmmNodemanage, "COMMON노드관리전체권한", "Y", 1, Arrays.asList()),
    rcplearningTestsimulatormanageFull(MenuResource.rcplearningTestsimulatormanage, "시뮬레이터전체권한", "Y", 1, Arrays.asList()),
    rcplearningTestinferencemanageFull(MenuResource.rcplearningTestinferencemanage, "의도추론 테스트전체권한", "Y", 1, Arrays.asList()),

    rcpmonitoringconsultingmanageFull(MenuResource.rcpmonitoringconsultingmanage, "상담이력관리전체권한", "Y", 1, Arrays.asList()),
    rcpmonitoringconversationMarkmanageFull(MenuResource.rcpmonitoringconversationMarkmanage, "대화책갈피관리전체권한", "Y", 1, Arrays.asList()),
    rcpmonitoringintentAnalysismanageFull(MenuResource.rcpmonitoringintentAnalysismanage, "인텐트분석관리전체권한", "Y", 1, Arrays.asList()),
    rcpmonitoringoutscenariomanageFull(MenuResource.rcpmonitoringoutscenariomanage, "시나리오이탈노드관리전체권한", "Y", 1, Arrays.asList()),
    rcpstatisticsdashboardmanageFull(MenuResource.rcpstatisticsdashboardmanage, "대쉬보드전체권한", "Y", 1, Arrays.asList()),


    rcpoprmanagenlpSettingmanageFull(MenuResource.rcpoprmanagenlpSettingmanage, "NLP설정전체권한", "Y", 1, Arrays.asList()),
    rcpoprmanagebgmmanageFull(MenuResource.rcpoprmanagebgmmanage, "배경음관리전체권한", "Y", 1, Arrays.asList()),
    rcpoprmanagettstagmanageFull(MenuResource.rcpoprmanagettstagmanage, "TTS태그관리전체권한", "Y", 1, Arrays.asList()),




    gudguideconsultationRealtimemanageFull(MenuResource.gudguideconsultationRealtimemanage,"실시간상담전체권한","Y",1,Arrays.asList()),
    gudguideadminMonitoringmanageFull(MenuResource.gudguideadminMonitoringmanage,"관리자모니터링전체권한","Y",1,Arrays.asList()),
    gudguidehistoryFull(MenuResource.gudguidehistory,"상담이력관리전체권한","Y",1,Arrays.asList()),
    gudguidehistoryscrchmanageFull(MenuResource.gudguidehistoryscrchmanage,"상담이력조회전체권한","Y",1,Arrays.asList()),
    gudguidehistoryoutboxmanageFull(MenuResource.gudguidehistoryoutboxmanage,"상담이력전송함전체권한","Y",1,Arrays.asList()),
    gudguidehistoryinboxmanageFull(MenuResource.gudguidehistoryinboxmanage,"상담이력수신함전체권한","Y",1,Arrays.asList()),
    gudguidecontentslistmanageFull(MenuResource.gudguidecontentslistmanage,"상담가이드조회전체권한","Y",1,Arrays.asList()),
    gudguidecontentsmanagermanageFull(MenuResource.gudguidecontentsmanagermanage,"상담가이드관리전체권한","Y",1,Arrays.asList()),
    gudguidecontentscontentsAssessmentmanageFull(MenuResource.gudguidecontentscontentsAssessmentmanage,"상담가이드평가전체권한","Y",1,Arrays.asList()),
    gudguidecontentscontentsAssessmentHistorymanageFull(MenuResource.gudguidecontentscontentsAssessmentHistorymanage,"상담가이드평가이력전체권한","Y",1,Arrays.asList()),
    gudguideainluIntentListmanageFull(MenuResource.gudguideainluIntentListmanage,"대화의도전체권한","Y",1,Arrays.asList()),
    gudguideainluEntityListmanageFull(MenuResource.gudguideainluEntityListmanage,"엔티티전체권한","Y",1,Arrays.asList()),
    gudguideainluLogmanageFull(MenuResource.gudguideainluLogmanage,"대화의도이력전체권한","Y",1,Arrays.asList()),
    gudguideainluTrainingmanageFull(MenuResource.gudguideainluTrainingmanage,"기계학습전체권한","Y",1,Arrays.asList()),
    gudguideainluIntenttestmanageFull(MenuResource.gudguideainluIntenttestmanage,"대화의도테스트전체권한","Y",1,Arrays.asList()),
    gudguideaisynonymListmanageFull(MenuResource.gudguideaisynonymListmanage,"고유용어사전전체권한","Y",1,Arrays.asList()),
    gudguideainluRecommendedLearningmanageFull(MenuResource.gudguideainluRecommendedLearningmanage,"학습추천전체권한","Y",1,Arrays.asList()),

    addraddrbotmanageAddrSectionmanageFull(MenuResource.addraddrbotmanageAddrSectionmanage,"지명유사어관리전체권한","Y",1,Arrays.asList()),
    addraddrbotmanageBuildNamemanageFull(MenuResource.addraddrbotmanageBuildNamemanage,"빌딩유사어관리전체권한","Y",1,Arrays.asList()),
    addraddrbotmanageSynonymmanageFull(MenuResource.addraddrbotmanageSynonymmanage,"유의어전처리관리전체권한","Y",1,Arrays.asList()),
    addraddrbotmanageBuildTypemanageFull(MenuResource.addraddrbotmanageBuildTypemanage,"발화건물유형관리전체권한","Y",1,Arrays.asList()),
    addraddrbotmanageJusoUploadmanageFull(MenuResource.addraddrbotmanageJusoUploadmanage,"주소월별업데이트전체권한","Y",1,Arrays.asList()),
    addraddrbotmanageAddrProcessmanageFull(MenuResource.addraddrbotmanageAddrProcessmanage,"주소봇처리내역전체권한","Y",1,Arrays.asList()),
    addraddrbotaddrRealtimeListmanageFull(MenuResource.addraddrbotaddrRealtimeListmanage,"실시간처리리스트전체권한","Y",1,Arrays.asList()),

    botcommanageMentmanageFull(MenuResource.botcommanageMentmanage,"멘트관리전체권한","Y",1,Arrays.asList()),
    botcommanagemanageGreetMentmanageFull(MenuResource.botcommanagemanageGreetMentmanage,"요일시간대별멘트관리전체권한","Y",1,Arrays.asList()),
    botcommanagemanageHolidaymanageFull(MenuResource.botcommanagemanageHolidaymanage,"휴무일관리전체권한","Y",1,Arrays.asList()),
    botcommanagemanageNaturalmanageFull(MenuResource.botcommanagemanageNaturalmanage,"자연어전처리관리전체권한","Y",1,Arrays.asList()),

    rcpv1receiptListmanageFull(MenuResource.rcpv1receiptListmanage,"접수리스트전체권한","Y",1,Arrays.asList()),
    rcpv1receiptRealtimeListmanageFull(MenuResource.rcpv1receiptRealtimeListmanage,"시릿간모니터링전체권한","Y",1,Arrays.asList()),
    rcpv1receiptOutRealtimeListmanageFull(MenuResource.rcpv1receiptOutRealtimeListmanage,"아웃바운드모니터링전체권한","Y",1,Arrays.asList()),
    rcpv1rcpReportmanageFull(MenuResource.rcpv1rcpReportmanage,"일자별통계전체권한","Y",1,Arrays.asList()),
    rcpv1rcpTimeReportmanageFull(MenuResource.rcpv1rcpTimeReportmanage,"시간대별통계전체권한","Y",1,Arrays.asList()),

    vdoincomingManageCategorymanageFull(MenuResource.vdoincomingManageCategorymanage,"컨텐츠등록관리전체권한","Y",1,Arrays.asList()),
    vdoincomingCounselingListmanageFull(MenuResource.vdoincomingCounselingListmanage,"영상상담전체권한","Y",1,Arrays.asList()),
    vdoincomingCounselingHistorymanageFull(MenuResource.vdoincomingCounselingHistorymanage,"상담이력조회전체권한","Y",1,Arrays.asList()),
    vdoincomingMvReportmanageFull(MenuResource.vdoincomingMvReportmanage,"사용통계전체권한","Y",1,Arrays.asList()),


    botmoniaddrRealtimeListExpansionmanageFull(MenuResource.botmoniaddrRealtimeListExpansionmanage,"주소봇실시간처리리스트전체권한","Y",1,Arrays.asList()),
    botmonireceiptRealtimeListExpansionmanageFull(MenuResource.botmonireceiptRealtimeListExpansionmanage,"무인접수봇실시간모니터링전체권한","Y",1,Arrays.asList()),
    botmoniguideRealtimeListExpansionmanageFull(MenuResource.botmoniguideRealtimeListExpansionmanage,"상담가이드실시간모니터링전체권한","Y",1,Arrays.asList()),



    commonsystemcustmanageFull(MenuResource.commonsystemcustmanage, "고객사 관리전체권한", "Y", 1000000, Arrays.asList()),
    commonsystemserviceGroupmanageFull(MenuResource.commonsystemserviceGroupmanage, "서비스그룹 관리전체권한", "Y", 1000000, Arrays.asList()),
    commonsystemgroupAuthmanageFull(MenuResource.commonsystemgroupAuthmanage, "그룹별 권한관리전체권한", "Y", 10000, Arrays.asList()),
    commonsystemuserAdminmanageFull(MenuResource.commonsystemuserAdminmanage, "운영자 관리전체권한", "Y", 1000000, Arrays.asList()),
    commonsystemusermanageFull(MenuResource.commonsystemusermanage, "사용자 관리전체권한", "Y", 10000, Arrays.asList()),
    commonsystemoprmngcodemanageFull(MenuResource.commonsystemoprmngcodemanage, "공통코드 관리전체권한", "Y", 10000, Arrays.asList()),


    //기타권한
    privacymasking(MenuResource.root, "마스킹해제", "N", 1, Arrays.asList()),
    rcpconversationscenariomanageRelease(MenuResource.root, "시나리오관리배포", "N", 1, Arrays.asList());


    private MenuResource menu;
    private String policyName;
    private String createYn;
    private int roleValSeq;
    private List<String> urlList;

    PolicyResource(MenuResource menu, String policyName, String createYn, int roleValSeq, List<String> urlList) {
        this.menu = menu;
        this.policyName = policyName;
        this.createYn = createYn;
        this.roleValSeq = roleValSeq;
        this.urlList = urlList;
    }

    public String getName() {
        return name();
    }

    public static final List<PolicyResource> ALL = Arrays.asList(
            rootRead,

            rcpconversationRead,
            rcpconversationintentmanageRead,
            rcpconversationscenariomanageRead,
            rcpconversationsynonymmanageRead,
            rcpconversationsystemEntitymanageRead,
            rcpconversationapiNodemanageRead,
            rcpconversationcmmNodemanageRead,

            rcplearningTestRead,
            rcplearningTestsimulatormanageRead,
            rcplearningTestinferencemanageRead,
            rcplearningTeststttestmanageRead,
            rcplearningTestttstestmanageRead,

            rcpmonitoringRead,
            rcpmonitoringconsultingmanageRead,
            rcpmonitoringconversationMarkmanageRead,
            rcpmonitoringintentAnalysismanageRead,
            rcpmonitoringoutscenariomanageRead,
            rcpmonitoringworkhistorymanageRead,
            rcpmonitoringaienginemanageRead,

            rcpstatisticsRead,
            rcpstatisticsintentRead,
            rcpstatisticsintentdaymanageRead,
            rcpstatisticsintentitemmanageRead,
            rcpstatisticsscenarioRead,
            rcpstatisticsscenariodaymanageRead,
            rcpstatisticsscenarioitemmanageRead,
            rcpstatisticscallRead,
            rcpstatisticscallinfomanageRead,
            rcpstatisticsaienginemanageRead,

            rcpoprmanageRead,
            rcpoprmanagenlpSettingmanageRead,
            rcpoprmanagebgmmanageRead,
            rcpoprmanagettstagmanageRead,


            gudguideRead,
            gudguideconsultationRealtimemanageRead,
            gudguideadminMonitoringmanageRead,
            gudguidehistoryRead,
            gudguidehistoryscrchmanageRead,
            gudguidehistoryoutboxmanageRead,
            gudguidehistoryinboxmanageRead,
            gudguidecontentsRead,
            gudguidecontentslistmanageRead,
            gudguidecontentsmanagermanageRead,
            gudguidecontentscontentsAssessmentmanageRead,
            gudguidecontentscontentsAssessmentHistorymanageRead,
            gudguideaiRead,
            gudguideainluIntentListmanageRead,
            gudguideainluEntityListmanageRead,
            gudguideainluLogmanageRead,
            gudguideainluTrainingmanageRead,
            gudguideainluIntenttestmanageRead,
            gudguideaisynonymListmanageRead,
            gudguideainluRecommendedLearningmanageRead,

            addraddrbotRead,
            addraddrbotmanageAddrSectionmanageRead,
            addraddrbotmanageBuildNamemanageRead,
            addraddrbotmanageSynonymmanageRead,
            addraddrbotmanageBuildTypemanageRead,
            addraddrbotmanageJusoUploadmanageRead,
            addraddrbotmanageAddrProcessmanageRead,
            addraddrbotaddrRealtimeListmanageRead,

            botcomRead,
            botcommanageMentmanageRead,
            botcommanageRead,
            botcommanagemanageGreetMentmanageRead,
            botcommanagemanageHolidaymanageRead,
            botcommanagemanageNaturalmanageRead,

            rcpv1Read,
            rcpv1receiptListmanageRead,
            rcpv1receiptRealtimeListmanageRead,
            rcpv1receiptOutRealtimeListmanageRead,
            rcpv1rcpReportmanageRead,
            rcpv1rcpTimeReportmanageRead,

            vdoRead,
            vdoincomingManageCategorymanageRead,
            vdoincomingCounselingListmanageRead,
            vdoincomingCounselingHistorymanageRead,
            vdoincomingMvReportmanageRead,

            botmoniRead,
            botmoniaddrRealtimeListExpansionmanageRead,
            botmonireceiptRealtimeListExpansionmanageRead,
            botmoniguideRealtimeListExpansionmanageRead,



            commonsystemRead,
            commonsystemcustmanageRead,
            commonsystemserviceGroupmanageRead,
            commonsystemgroupAuthmanageRead,
            commonsystemuserAdminmanageRead,
            commonsystemusermanageRead,
            commonsystemoprmngcodemanageRead,

            rcpconversationintentmanageFull,
            rcpconversationscenariomanageFull,
            rcpconversationsynonymmanageFull,
            rcpconversationsystemEntitymanageFull,
            rcpconversationapiNodemanageFull,
            rcpconversationcmmNodemanageFull,

            rcplearningTestsimulatormanageFull,
            rcplearningTestinferencemanageFull,

            rcpmonitoringconsultingmanageFull,
            rcpmonitoringconversationMarkmanageFull,
            rcpmonitoringintentAnalysismanageFull,
            rcpmonitoringoutscenariomanageFull,
            rcpstatisticsdashboardmanageFull,

            rcpoprmanagenlpSettingmanageFull,
            rcpoprmanagebgmmanageFull,
            rcpoprmanagettstagmanageFull,


            gudguideconsultationRealtimemanageFull,
            gudguideadminMonitoringmanageFull,
            gudguidehistoryFull,
            gudguidehistoryscrchmanageFull,
            gudguidehistoryoutboxmanageFull,
            gudguidehistoryinboxmanageFull,
            gudguidecontentslistmanageFull,
            gudguidecontentsmanagermanageFull,
            gudguidecontentscontentsAssessmentmanageFull,
            gudguidecontentscontentsAssessmentHistorymanageFull,
            gudguideainluIntentListmanageFull,
            gudguideainluEntityListmanageFull,
            gudguideainluLogmanageFull,
            gudguideainluTrainingmanageFull,
            gudguideainluIntenttestmanageFull,
            gudguideaisynonymListmanageFull,
            gudguideainluRecommendedLearningmanageFull,

            addraddrbotmanageAddrSectionmanageFull,
            addraddrbotmanageBuildNamemanageFull,
            addraddrbotmanageSynonymmanageFull,
            addraddrbotmanageBuildTypemanageFull,
            addraddrbotmanageJusoUploadmanageFull,
            addraddrbotmanageAddrProcessmanageFull,
            addraddrbotaddrRealtimeListmanageFull,

            botcommanageMentmanageFull,
            botcommanagemanageGreetMentmanageFull,
            botcommanagemanageHolidaymanageFull,
            botcommanagemanageNaturalmanageFull,

            rcpv1receiptListmanageFull,
            rcpv1receiptRealtimeListmanageFull,
            rcpv1receiptOutRealtimeListmanageFull,
            rcpv1rcpReportmanageFull,
            rcpv1rcpTimeReportmanageFull,

            vdoincomingManageCategorymanageFull,
            vdoincomingCounselingListmanageFull,
            vdoincomingCounselingHistorymanageFull,
            vdoincomingMvReportmanageFull,

            botmoniaddrRealtimeListExpansionmanageFull,
            botmonireceiptRealtimeListExpansionmanageFull,
            botmoniguideRealtimeListExpansionmanageFull,



            commonsystemcustmanageFull,
            commonsystemserviceGroupmanageFull,
            commonsystemgroupAuthmanageFull,
            commonsystemuserAdminmanageFull,
            commonsystemusermanageFull,
            commonsystemoprmngcodemanageFull,

            //기타권한
            privacymasking,
            rcpconversationscenariomanageRelease

    );


}
